UNIT FrmExists;
{+F
---------------------------------------------------------------------------
  File        - FRMEXISTS.PAS
  Purpose     - Ask the user if he wants to append, overwrite, select a new
                file or cancel.
  Author      - Keith S. Brown
  Copyright    2000 by KSS  http://www.ghg.net/chairouchu
  Revised     - 2000.08.24(KSB) Created original.
---------------------------------------------------------------------------}
INTERFACE

USES
  Windows,  Messages, SysUtils, Classes,  Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons;

TYPE
  TdlgFileExists   = CLASS(TForm)
    lblMsg         : TLabel;
    btnAppend      : TBitBtn;
    btnCancel      : TBitBtn;
    btnNewFile     : TBitBtn;
    btnOverwrite   : TBitBtn;
  PUBLIC
    PROCEDURE   DefaultToAppend;
    PROCEDURE   DefaultToOverwrite;
  END {CLASS};
              {=================================================}
IMPLEMENTATION
{$R *.DFM}


{}PROCEDURE   TdlgFileExists.DefaultToAppend;
  BEGIN
    ActiveControl := btnAppend;
    btnAppend.Default   := TRUE;
    btnOverwrite.Default:= FALSE;
{}END {DefaultToAppend};




{}PROCEDURE   TdlgFileExists.DefaultToOverwrite;
  BEGIN
    ActiveControl := btnOverwrite;
    btnAppend.Default   := FALSE;
    btnOverwrite.Default:= TRUE;
{}END {DefaultToOverwrite};




END {FrmExits}.
